<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Program Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classarm__compute_1_1_program.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Program Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classarm__compute_1_1_program.xhtml" title="Program class. ">Program</a> class.  
 <a href="classarm__compute_1_1_program.xhtml#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_c_l_kernel_library_8h_source.xhtml">CLKernelLibrary.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad00a93de0aaf77172116c42bed3a5627"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_program.xhtml#ad00a93de0aaf77172116c42bed3a5627">Program</a> ()</td></tr>
<tr class="memdesc:ad00a93de0aaf77172116c42bed3a5627"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor.  <a href="#ad00a93de0aaf77172116c42bed3a5627">More...</a><br /></td></tr>
<tr class="separator:ad00a93de0aaf77172116c42bed3a5627"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab761eeac6f1072ad0c2920feeb0a8076"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_program.xhtml#ab761eeac6f1072ad0c2920feeb0a8076">Program</a> (cl::Context context, std::string <a class="el" href="classarm__compute_1_1_program.xhtml#a37627d5d5bba7f4a8690c71c2ab3cb07">name</a>, std::string source)</td></tr>
<tr class="memdesc:ab761eeac6f1072ad0c2920feeb0a8076"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct program from source file.  <a href="#ab761eeac6f1072ad0c2920feeb0a8076">More...</a><br /></td></tr>
<tr class="separator:ab761eeac6f1072ad0c2920feeb0a8076"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1615f70129362da8c0c0cd82ef6c1b44"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_program.xhtml#a1615f70129362da8c0c0cd82ef6c1b44">Program</a> (cl::Context context, cl::Device device, std::string <a class="el" href="classarm__compute_1_1_program.xhtml#a37627d5d5bba7f4a8690c71c2ab3cb07">name</a>, std::vector&lt; unsigned char &gt; binary)</td></tr>
<tr class="memdesc:a1615f70129362da8c0c0cd82ef6c1b44"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct program from binary file.  <a href="#a1615f70129362da8c0c0cd82ef6c1b44">More...</a><br /></td></tr>
<tr class="separator:a1615f70129362da8c0c0cd82ef6c1b44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40ae1e88dc2e254ba8304fbc13349efb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_program.xhtml#a40ae1e88dc2e254ba8304fbc13349efb">Program</a> (const <a class="el" href="classarm__compute_1_1_program.xhtml">Program</a> &amp;)=default</td></tr>
<tr class="memdesc:a40ae1e88dc2e254ba8304fbc13349efb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default Copy Constructor.  <a href="#a40ae1e88dc2e254ba8304fbc13349efb">More...</a><br /></td></tr>
<tr class="separator:a40ae1e88dc2e254ba8304fbc13349efb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a466ef007aa3d82a7b5910fac373a3a11"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_program.xhtml#a466ef007aa3d82a7b5910fac373a3a11">Program</a> (<a class="el" href="classarm__compute_1_1_program.xhtml">Program</a> &amp;&amp;)=default</td></tr>
<tr class="memdesc:a466ef007aa3d82a7b5910fac373a3a11"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default Move Constructor.  <a href="#a466ef007aa3d82a7b5910fac373a3a11">More...</a><br /></td></tr>
<tr class="separator:a466ef007aa3d82a7b5910fac373a3a11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa960ae62f188ce6593855ea9d90f3140"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classarm__compute_1_1_program.xhtml">Program</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_program.xhtml#aa960ae62f188ce6593855ea9d90f3140">operator=</a> (const <a class="el" href="classarm__compute_1_1_program.xhtml">Program</a> &amp;)=default</td></tr>
<tr class="memdesc:aa960ae62f188ce6593855ea9d90f3140"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default copy assignment operator.  <a href="#aa960ae62f188ce6593855ea9d90f3140">More...</a><br /></td></tr>
<tr class="separator:aa960ae62f188ce6593855ea9d90f3140"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac068143ead400561b25102c60ccd817d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classarm__compute_1_1_program.xhtml">Program</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_program.xhtml#ac068143ead400561b25102c60ccd817d">operator=</a> (<a class="el" href="classarm__compute_1_1_program.xhtml">Program</a> &amp;&amp;)=default</td></tr>
<tr class="memdesc:ac068143ead400561b25102c60ccd817d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default move assignment operator.  <a href="#ac068143ead400561b25102c60ccd817d">More...</a><br /></td></tr>
<tr class="separator:ac068143ead400561b25102c60ccd817d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37627d5d5bba7f4a8690c71c2ab3cb07"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_program.xhtml#a37627d5d5bba7f4a8690c71c2ab3cb07">name</a> () const </td></tr>
<tr class="memdesc:a37627d5d5bba7f4a8690c71c2ab3cb07"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns program name.  <a href="#a37627d5d5bba7f4a8690c71c2ab3cb07">More...</a><br /></td></tr>
<tr class="separator:a37627d5d5bba7f4a8690c71c2ab3cb07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a611ed2c38431030f24faaaed53eb91b4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_program.xhtml#a611ed2c38431030f24faaaed53eb91b4">operator cl::Program</a> () const </td></tr>
<tr class="memdesc:a611ed2c38431030f24faaaed53eb91b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">User-defined conversion to the underlying CL program.  <a href="#a611ed2c38431030f24faaaed53eb91b4">More...</a><br /></td></tr>
<tr class="separator:a611ed2c38431030f24faaaed53eb91b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7692fcd49be268380d2a8da9a058d0f"><td class="memItemLeft" align="right" valign="top">cl::Program&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_program.xhtml#ac7692fcd49be268380d2a8da9a058d0f">build</a> (const std::string &amp;build_options=&quot;&quot;) const </td></tr>
<tr class="memdesc:ac7692fcd49be268380d2a8da9a058d0f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Build the underlying CL program.  <a href="#ac7692fcd49be268380d2a8da9a058d0f">More...</a><br /></td></tr>
<tr class="separator:ac7692fcd49be268380d2a8da9a058d0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ad321fe7c8b8db45f1e48b6f7d13346c5"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_program.xhtml#ad321fe7c8b8db45f1e48b6f7d13346c5">build</a> (const cl::Program &amp;program, const std::string &amp;build_options=&quot;&quot;)</td></tr>
<tr class="separator:ad321fe7c8b8db45f1e48b6f7d13346c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classarm__compute_1_1_program.xhtml" title="Program class. ">Program</a> class. </p>

<p>Definition at line <a class="el" href="_c_l_kernel_library_8h_source.xhtml#l00037">37</a> of file <a class="el" href="_c_l_kernel_library_8h_source.xhtml">CLKernelLibrary.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ad00a93de0aaf77172116c42bed3a5627"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_program.xhtml">Program</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default constructor. </p>

</div>
</div>
<a class="anchor" id="ab761eeac6f1072ad0c2920feeb0a8076"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_program.xhtml">Program</a> </td>
          <td>(</td>
          <td class="paramtype">cl::Context&#160;</td>
          <td class="paramname"><em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>source</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct program from source file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">context</td><td>CL context used to create the program. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td><a class="el" href="classarm__compute_1_1_program.xhtml" title="Program class. ">Program</a> name. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">source</td><td><a class="el" href="classarm__compute_1_1_program.xhtml" title="Program class. ">Program</a> source. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1615f70129362da8c0c0cd82ef6c1b44"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_program.xhtml">Program</a> </td>
          <td>(</td>
          <td class="paramtype">cl::Context&#160;</td>
          <td class="paramname"><em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">cl::Device&#160;</td>
          <td class="paramname"><em>device</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; unsigned char &gt;&#160;</td>
          <td class="paramname"><em>binary</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct program from binary file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">context</td><td>CL context used to create the program. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">device</td><td>CL device for which the programs are created. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td><a class="el" href="classarm__compute_1_1_program.xhtml" title="Program class. ">Program</a> name. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">binary</td><td><a class="el" href="classarm__compute_1_1_program.xhtml" title="Program class. ">Program</a> binary. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a40ae1e88dc2e254ba8304fbc13349efb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_program.xhtml">Program</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classarm__compute_1_1_program.xhtml">Program</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default Copy Constructor. </p>

</div>
</div>
<a class="anchor" id="a466ef007aa3d82a7b5910fac373a3a11"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_program.xhtml">Program</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classarm__compute_1_1_program.xhtml">Program</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default Move Constructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ad321fe7c8b8db45f1e48b6f7d13346c5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool build </td>
          <td>(</td>
          <td class="paramtype">const cl::Program &amp;&#160;</td>
          <td class="paramname"><em>program</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>build_options</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Referenced by <a class="el" href="_c_l_kernel_library_8h_source.xhtml#l00069">Program::name()</a>.</p>

</div>
</div>
<a class="anchor" id="ac7692fcd49be268380d2a8da9a058d0f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">cl::Program build </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>build_options</em> = <code>&quot;&quot;</code></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Build the underlying CL program. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">build_options</td><td>Options used to build the CL program.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A reference to itself. </dd></dl>

</div>
</div>
<a class="anchor" id="a37627d5d5bba7f4a8690c71c2ab3cb07"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string name </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns program name. </p>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="classarm__compute_1_1_program.xhtml" title="Program class. ">Program</a>'s name. </dd></dl>

<p>Definition at line <a class="el" href="_c_l_kernel_library_8h_source.xhtml#l00069">69</a> of file <a class="el" href="_c_l_kernel_library_8h_source.xhtml">CLKernelLibrary.h</a>.</p>

<p>References <a class="el" href="classarm__compute_1_1_program.xhtml#ad321fe7c8b8db45f1e48b6f7d13346c5">Program::build()</a>.</p>
<div class="fragment"><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    {</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        <span class="keywordflow">return</span> _name;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    }</div></div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a611ed2c38431030f24faaaed53eb91b4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">operator cl::Program </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>User-defined conversion to the underlying CL program. </p>
<dl class="section return"><dt>Returns</dt><dd>The CL program object. </dd></dl>

</div>
</div>
<a class="anchor" id="aa960ae62f188ce6593855ea9d90f3140"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_program.xhtml">Program</a>&amp; operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classarm__compute_1_1_program.xhtml">Program</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default copy assignment operator. </p>

</div>
</div>
<a class="anchor" id="ac068143ead400561b25102c60ccd817d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_program.xhtml">Program</a>&amp; operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classarm__compute_1_1_program.xhtml">Program</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default move assignment operator. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>arm_compute/core/CL/<a class="el" href="_c_l_kernel_library_8h_source.xhtml">CLKernelLibrary.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacearm__compute.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="classarm__compute_1_1_program.xhtml">Program</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:10 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
